Subject: Re: Windows support

From: Johannes Sixt <[email-masked]>
Date: Thu, 26 Jul 2007 17:25:12 +0200

Nguyen Thai Ngoc Duy wrote:
> 
> On 7/26/07, Christian MICHON <[email-masked]> wrote:
> > I can commit using "git commit -a -m ok", but then I get this kind of
> > error message (and ash dies, I go back to xp/cmd prompt)
> >
> > mv: cannot rename '.git/next-index4540': File exists
> 
> Baah.. something goes wrong again.

The problem is likely that rename() of MSCVRT.DLL is implemented in
terms of MoveFile(), which can't move over an existing file. A wrapper
is needed that uses MoveFileEx() instead.

We have the same problem also in git-apply: One of the tests fails for
this reason.

-- Hannes